Subject: Re: SETUP WIZARD FOR CYGWIN?XFREE86
From: "Bobby McNulty" <[email-masked]>
To: "egor duda" <[email-masked]>, "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 24 Jul 2001 12:37:57 -0500

egor, I'm finallizing my poert of Csound using the gcc compiler and mingw
and w32api. I'll post the program on my webpage some day soon. What will be
available are sources to study and build from and the binararies to test the
program.
Csound is a sound processing utility originally made in 1986 at MIT. It can
be used to create sound, filter recorded sound, sound effects, MIDI
programming, etc. My port uses the Pentium Classic. But that will change
when i upgrade.
I have used parts of the Mingw and W32api. I undeffed IN and OUT because the
program uses its own version, __cdecl because I got tired of if defing each
time, and frm1.
I have a question for the list, which i will post in just a second.
----- Original Message -----
From: "egor duda" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 24, 2001 12:06 PM
Subject: Re: SETUP WIZARD FOR CYGWIN?XFREE86

> Hi!
>
> Tuesday, 24 July, 2001 Charles Wilson [email-masked] wrote:
>
> CW> Port rpm to win32.  Not cygwin.
>
> i can't see why "not cygwin". bootstrapping *is* a problem, but
> honestly, it seems easier to me than mingw port of rpm.
>
> cygwin1.dll is reasonably self-sufficient nowadays. i'm using
> "minimalistic ssh client" which consists of 3 files: cygwin1.dll,
> ssh.exe (from openssh) and small bat file which sets %HOME% before
> staring ssh. everything's working perfectly either on wnt or w9x.
> sure, rpm is more "system-dependent" than ssh, but anyway, i don't see
> a big problem to create mounts (the only (?) cygwinism rpm really
> needs) on the early stages of bootstrap.
>
> if you're concerned about different versions of cygwin1.dll, take a
> look at cygwin testsuite. there're no problems with testing new build of
> cygwin1.dll while several programs based on the old one are running
> in the same time on the same machine.
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/